%define aurox_ver 10.2
%define rel 3


Name: aurox-logos
Summary: Aurox-related icons and pictures.
Version: 1.1.29
Release: %{aurox_ver}.aur.%{rel}
Group: System Environment/Base
Source0: aurox-logos-%{version}.tar.bz2
License: Copyright © 2005 Software-Wydawnictwo Sp. z o.o. et others. All rights reserved.
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Obsoletes: redhat-logos, fedora-logos
Provides: redhat-logos, fedora-logos, system-logos
Conflicts: kdebase <= 6:3.3.2-10.2.aur.11
Conflicts: anaconda-images <= 10

%description
The Aurox Linux logos package (the "Package") contains files of the Aurox
Linux logo.  Aurox and the Aurox logo are registered trademarks 
of Software-Wydawnictwo Sp. z o.o. in Poland and other countries.

See the included COPYING file for information on copying and
redistribution.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/aurox
for i in aurox-pixmaps/*; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/aurox
done

# should be ifarch i386
mkdir -p $RPM_BUILD_ROOT/boot/grub
install -m 644 bootloader/aurox-lilo.pcx $RPM_BUILD_ROOT/boot/message
install -m 644 bootloader/grub-splash.xpm.gz $RPM_BUILD_ROOT/boot/grub/splash.xpm.gz
# end i386 bits

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
for i in firstboot/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/rhgb
for i in rhgb/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/rhgb
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/Default
for i in kde-splash/*.* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/Default/
done
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/Default/locolor
#for i in kde-splash/locolor/*.* ; do
#  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/Default/locolor/
#done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve
install -m 644 gdm/aur_logo-header.png $RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve

(cd anaconda; make DESTDIR=$RPM_BUILD_ROOT install)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING
%{_datadir}/firstboot
%{_datadir}/apps
%{_datadir}/pixmaps
%{_datadir}/gdm
%{_datadir}/rhgb
%{_datadir}/anaconda/pixmaps/*
/usr/lib/anaconda-runtime/boot/*png
# should be ifarch i386
/boot/message*
/boot/grub/splash.xpm.gz
# end i386 bits

%changelog
* Wed May 11 2005 Aurox Team <aurox@aurox.org> 0:1.1.29-10.2.aur.3
- Update to 10.3 artwork.
- Fix the one pic that slipped last time.
- Remove obsolete anaconda screens.
- Update logos to 10.2.
- Update locolor KDE theme.
- Update rhgb logo.
- Fix KDE splashscreen, update to 10.2 artwork.
- Aurox 10.1.9 (10.2 beta).
- Merge anaconda-images bits.

* Tue Nov 02 2004 Aurox Team <aurox@aurox.org> 0:1.1.25-10.1.aur.1
- rebuild for 10.1
- updated to 10.0 (new picture)
- version changed to 1.1.25 to be always higher than fedora
- rebuild for Aurox 9.4
- update release number in the firstboot picture

* Thu Jul 24 2003 Robert Glowczynski <robertg@software.com.pl> 1.1.13-9.1.aur.2
- firstboot splash updated again

* Wed Jul 23 2003 Robert Glowczynski <robertg@software.com.pl> 1.1.13-9.1.aur.1
- firstboot splash updated

* Mon Jun 07 2003 Robert Glowczynski <robertg@software.com.pl> 1.1.12-9.1.aur.1
- distro version is 9.1
- add aurox-main-menu.png - it contains Aurox logo to pixmaps
- rename redhat-292.xbm to aurox-200x48.xbm

* Thu Apr 17 2003 Robert Główczyński <robertg@software.com.pl>
- distro version is 9.0
- add Aurox version of redhat-292.xbm Flag
- bump version to 1.1.12 and rebuild for Aurox 9

* Thu Mar 13 2003 Robert Główczyński <robertg@software.com.pl>
- rebuild as 1.1.10 for Aurox 8.1

* Wed Oct  2 2002 Robert Główczyński <robertg@software.com.pl>
- package Aurox logos, replaces redhat-logos
- gdm logo should be in this package (but what to do with the screenshot?)

